GeneralMigrationNamingUtility (CMDB Model API)
Keywords: com.collation.platform.model.util.GeneralMigrationNamingUtility class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class GeneralMigrationNamingUtility

    java.lang.Object
      com.collation.platform.model.util.NamingUtilityExternal
          com.collation.platform.model.util.GeneralMigrationNamingUtility

All Implemented Interfaces:
  NamingUtility

    public class GeneralMigrationNamingUtility

extends NamingUtilityExternal
implements NamingUtility

NamingUtility class is used to provide a mapping of Object pointers to unique Guids for the names of the objects

Field Summary
`protected static com.collation.platform.logger.Logger` | `log_`

Fields inherited from class com.collation.platform.model.util.NamingUtilityExternal
`cache, hexString_, NAMESPACE, NAMESPACE_GUID, preFix`

Constructor Summary
`protected` | `GeneralMigrationNamingUtility(java.util.List objectClassList, java.lang.String name)` Constructor accepts a list of ObjectClass objects and initializes the meta cache and the internal guid and name maps

Method Summary
`java.util.List` | `computeGuidResults(ModelObject mo, java.util.HashMap dependencyMap)` computeGuidResults is used to compute the Guids for a given object tree.

Methods inherited from class com.collation.platform.model.util.NamingUtilityExternal
`computeGuidResults, getGUID, isLastEnabledAttribute, transform, transformChar, traverseAllRules, traversePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.collation.platform.model.util.NamingUtility
`computeGuidResults`

Field Detail

### log_

    protected static com.collation.platform.logger.Logger log_

Constructor Detail

### GeneralMigrationNamingUtility

    protected GeneralMigrationNamingUtility(java.util.List objectClassList,
                                            java.lang.String name)

  Constructor accepts a list of ObjectClass objects and initializes the meta cache and the internal guid and name maps

  Parameters:
    `objectClassList:ArrayList` - - An ArrayList of ObjectClass objects
    `name:String` - - Name of this instance of NamingUtility

Method Detail

### computeGuidResults

    public java.util.List computeGuidResults(ModelObject mo,
                                             java.util.HashMap dependencyMap)

  computeGuidResults is used to compute the Guids for a given object tree. The function accepts the modelObject and a pointer to a HashMap that is used to store the Guid to object pointers dependency list. The ModelObject may be a single object or a tree of ModelObjects. The function traverses the object looking for contained objects and stores the list of Guids per object in a GuidResult object. As each Guid is formed, a dependency list is also maintained which is then used by the caller to determine the objects that were used to form this Guid

  Specified by:
    `computeGuidResults` in interface `NamingUtility`
  Overrides:
    `computeGuidResults` in class `NamingUtilityExternal`
  Parameters:
    `mo:ModelObject` - - ModelObject tree
    `dependencyMap:HashMap` - - Map of Guid to object pointers used
  Returns:
    List - List of GuidResult objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD